Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 433183 - SOS does not collect ext3 filesystem information.
Summary: SOS does not collect ext3 filesystem information.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sos
Version: 5.0
Hardware: All
OS: Linux
urgent
low
Target Milestone: rc
: ---
Assignee: Adam Stokes
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 443037 455724
TreeView+ depends on / blocked
 
Reported: 2008-02-17 08:01 UTC by Zhenyong(Jerry) Jiang
Modified: 2013-07-29 00:44 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 21:41:32 UTC


Attachments (Terms of Use)
dumpe2fs plugins (deleted)
2008-02-17 08:01 UTC, Zhenyong(Jerry) Jiang
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0171 normal SHIPPED_LIVE sosreport bug fix and enhancement update 2009-01-20 16:05:38 UTC

Description Zhenyong(Jerry) Jiang 2008-02-17 08:01:24 UTC
Description of problem:

SOS(sosreport) does not collect Ext2/3 filesystems information.

Version-Release number of selected component (if applicable):

sos-1.7-9.1.el5

How reproducible:
Always

Steps to Reproduce:
Execute sysreport(sos) on RHEL4/RHEL5

Actual results:
Not collects ext3 filesystem information.

Expected results:
should include the output of the command: "dumpe2fs <ext2 filesystem>"

Additional info:
Please see the attached file.

Comment 1 Zhenyong(Jerry) Jiang 2008-02-17 08:01:24 UTC
Created attachment 295092 [details]
dumpe2fs plugins

Comment 2 Zhenyong(Jerry) Jiang 2008-02-17 08:08:59 UTC
Comment on attachment 295092 [details]
dumpe2fs plugins

### This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

import sos.plugintools
import os
import string

class dumpe2fs(sos.plugintools.PluginBase):
    """dumpe2fs related information
    """
    def setup(self):
	inpipe, pipe = os.popen4("mount -t ext3", 'r')
	inpipe.close()
	for line in pipe.readlines():
		L = string.split(line)
		str = "dumpe2fs " + L[0]
		self.collectExtOutput(str)

	pipe.close()
	return

Comment 3 Adam Stokes 2008-03-04 00:33:51 UTC
Thanks for the patch, however, all this needed was a minor alteration to the
filesys plugin as it was already capturing ext2/3 tunable parameters. dumpe2fs
just extends on that so tune2fs was replaced.

Thanks

Comment 4 Adam Stokes 2008-04-09 13:28:00 UTC
Committed to filesys plugin

Comment 5 RHEL Product and Program Management 2008-06-18 15:11:53 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 13 errata-xmlrpc 2009-01-20 21:41:32 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0171.html


Note You need to log in before you can comment on or make changes to this bug.